Bug 1667 - Suggestions: not publishing yet => no links to articles; no submissions by author => skip summary page
Suggestions: not publishing yet => no links to articles; no submissions by au...
Status: RESOLVED WONTFIX
Product: OJS
Classification: Unclassified
Component: General
2.x
All Linux
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-05 18:06 PDT by Martin J. Osborne
Modified: 2013-05-29 14:52 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin J. Osborne 2005-06-05 18:06:52 PDT
In the same spirit as #1666, it seems to me that the bottom part of the sidebar,
relating to journal content, should appear only once publication has commenced,
and the items "Search", "Current", and "Archives" should in this case either not
appear or be grayed-out.  (Not bugs, just possible improvements.)

Along similar lines, I think I would prefer that for an author who has not
submitted a paper (no active or archived submissions) the link "Author" in the
roles list on the User Home page lead directly to the first step of the
submission process, rather than to the summary page.  (Putting the summary page
first requires the person to read the Active Submissions screen and figure out
that then need to press "Submit a manuscript".  Having played around with the
system for a week, I understand that, but my feeling is that a newbie may find
it confusing.)  (Or, if you don't want to go as far as that change, my next
preferred change is to remove the table headings on the Active Submissions (and
Archive) pages in the case the author has no submissions and simply putting the
text "You have no active submissions".)
Comment 1 Alec Smecher 2006-01-12 10:17:34 PST
Deferred
Comment 2 Alec Smecher 2013-05-29 14:52:15 PDT
Going through the Bugzilla graveyard -- this is superseded by the move to the Dashboard for 3.0.